find vim config dir on win master
authorTobias Sachs <git-pngdhxpf-ts@twobees.de>
Fri, 8 Apr 2022 09:37:24 +0000 (11:37 +0200)
committerTobias Sachs <git-pngdhxpf-ts@twobees.de>
Fri, 8 Apr 2022 09:37:24 +0000 (11:37 +0200)
init.sh

diff --git a/init.sh b/init.sh
index 221abaa7c3384d9e5354ebf3ce1f40ba4bb07805..c9e2490e630c394f2769278b3795cae012d97d2f 100755 (executable)
--- a/init.sh
+++ b/init.sh
@@ -1,5 +1,15 @@
 #!/usr/bin/env bash
-cd $HOME/.vim
+
+cd $HOME/.vim &>/dev/null
+if [ $? -ne "0" ];then
+    cd $HOME/vimfiles &>/dev/null
+    if [ $? -ne "0" ];then
+        echo "could not change to vim configuration dir";
+        exit 1;
+    fi
+fi
+echo "vim configuration dir: " `pwd`
+
 git stash
 git pull
 git stash pop